/*Font from Google fonts*/
@import url('https://fonts.googleapis.com/css2?family=Beau+Rivage&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

/*Basic styling*/
body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    padding: 0;
    margin: 0;
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-align: center;
}

/*Header*/
header {
    border-bottom: 2px solid rgb(4, 4, 56);
}

/*logo*/
#logo {
    font-family: "Beau Rivage", cursive;
    font-weight: 500;
    font-style: normal;
    font-size: 300%;
    text-shadow: 2px 2px black;
    margin: 0%;
    padding: 2%;
    color: white;
    background-image: url('../images/worldmap.jpg');
}

.hidden-heading {
    display: none;
}

/*Rules*/
header>ul {
    padding: 0;
}

header>ul>li {
    list-style-type: none;
    margin: 2%;
    padding: 2%;
}

/*Score area*/
#score-area {
    justify-content: center;
    font-size: 200%;
}

#score-area>p {
    margin: 2%;
}

#score {
    width: 40px;
    height: 40px;
    border: 2px solid  rgb(4, 4, 56);
}

/*Show me a country button*/
#show-me-a-country {
    font-size: 150%;
    max-width: fit-content;
    padding: 2%;
    margin: 2%;
    border: 2px solid rgb(4, 4, 56);
    border-radius: 20px;
}

/*Question count area*/
#question-number>h2 {
    margin: 2%;
}

/*Answer Buttons*/
.answer-button {
    font-size: 150%;
    width: 200px;
    padding: 2%;
    margin: 2%;
    background: rgb(192, 192, 255);
    border: 2px solid black;
    border-radius: 20px;
}

/*display's country player selected*/
#player-choice {
    font-size: 200%;
    display: flex;
    justify-content: center;
}

/*Tick and cross icons*/
.fa-solid {
    font-size: 300%;
}

/*Text which appears when bonus points awarded*/
#bonus-points {
    color: green;
    font-size: 150%
}

/*Game over message*/
.game-over {
    color: blue;
    font-size: 200%;
}

/* Media Queries*/
/*Tablets and up (768px+)*/
@media screen and (min-width: 768px) {

    /*logo*/
    #logo {
        font-size: 400%;
    }

    /*Rules*/
    header>ul>li {
        font-size: 150%;
        padding: 1%;
    }

    /*Question number*/
    #question-number {
        font-size: 150%;
    }

    /*Buttons*/
    #country-map>div {
        columns: 2;
    }

    .answer-button {
        margin: 5%;
    }
}

/* Large devices (laptops and desktops, 992px and up) */
@media screen and (min-width: 992px) {

    /*Header*/
    #logo {
        padding: 0%;
        margin: 0%;
    }

    header>ul>li {
        padding: 0.5%;
    }

    /*Question count area*/
    #question-number>h2 {
        margin: 0%;
        font-size: 100%;
    }

    /*Buttons*/
    #country-map>div {
        columns: 4;
    }
}